Create instance configuration
- POST /platform/configuration/instances
Create instance configuration and return the auto-generated ID.
Request body
the Instance Configuration
-
config_versioninteger · format: int32 -
If the IC is configuration controlled, this field is the version either being read back (reads return the latest IC unless specified by the 'config_version' URL param), or the version to update. Cannot be used in creates. For unversioned IC reads it is left empty.
-
instance_type -
The type of instance. For instance configurations where the type is specified in the 'id', the default value of 'instance_type' will be automatically inferred.
-
Values:
elasticsearchkibanaapmintegrations_serverappsearchenterprise_search -
node_typesstring -
Node types (master, data) for the instance. For instance configurations where the type (and tier) is specified in the 'id', the default value of 'node_types' will be automatically inferred.
-
discrete_sizesobjectrequired -
Instance sizes that are supported by the Elasticsearch instance, Kibana instance, or APM Server configuration.
-
allocator_filterobject -
The container for all of the allowed Elasticsearch queries. Specify only one property each time.
-
query_stringobject -
A query that uses the strict query string syntax for parsing. Will return an error for invalid syntax.
-
simple_query_stringobject -
A query that uses simple query string syntax. Will ignore invalid syntax.
-
default_operatorstring -
The boolean operator used to combine the terms of the query. Valid values are
OR(default) andAND. -
auto_generate_synonyms_phrase_queryboolean -
If
true, the parse creates amatch_phraseuery for each multi-position token. Defaults totrue. -
fuzzy_max_expansionsinteger · format: int32 -
Maximum number of terms to which the query expands for fuzzy matching. Defaults to 50.
-
fuzzy_prefix_lengthinteger · format: int32 -
Number of beginning characters left unchanged for fuzzy matching. Defaults to 0.
-
fuzzy_transpositionsboolean -
If
true, edits for fuzzy matching include transpositions of two adjacent characters. Defaults tofalse. -
lenientboolean -
If
true, format-based errors, such as providing a text value for a numeric field are ignored. Defaults tofalse. -
deleted_onstring · format: date-time -
Date/time that this instance configuration was marked for deletion
Responses
Instance Configuration added with the auto generated ID returned
cluster_type in the InstanceConfiguration model is invalid (code: 'configuration.invalid_cluster_type') or the discrete_sizes in the InstanceConfiguration model is invalid (code: 'configuration.invalid_discrete_sizes') or the metadata in the InstanceConfiguration model has empty keys or values (code: 'configuration.bad_meta_data')
system_owned or deleted_on cannot be set externally (code: 'configuration.system_owned')